// components/spacecard/spacecard.js
import utils from "../../utils/util";
const app = getApp();
Component({
  /**
   * 组件的属性列表
   */
  properties: {
      isCheckbox:{
        type:Boolean,
        value:false
      },
      cardDate:{
        type:Object,
        value:{}
      },
      canvashidden:{
        type:Boolean,
        value:true
      }
  },

  /**
   * 组件的初始数据
   */
  data: {
    imgbaseUrl:app.globalData.imgbaseUrl,
    unit:"°C",
    imgShow:false,
    statusList: [{
      id: 0,
      name: "缺数无法判断",
      imgSrc: "../../static/images/envtype1.png",
      canvasDate:{"v":"5.6.6","fr":25,"ip":0,"op":50,"w":100,"h":100,"nm":"恒温","ddd":0,"assets":[{"id":"image_0","w":60,"h":60,"u":"images/","p":"img_1.png","e":0}],"layers":[{"ddd":0,"ind":1,"ty":2,"nm":"恒温.png","cl":"png","refId":"image_0","sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":1,"k":[{"i":{"x":[0.833],"y":[0.833]},"o":{"x":[0.167],"y":[0.167]},"t":0,"s":[0]},{"t":50,"s":[-360]}],"ix":10},"p":{"a":0,"k":[50,50,0],"ix":2},"a":{"a":0,"k":[30,30,0],"ix":1},"s":{"a":0,"k":[100,100,100],"ix":6}},"ao":0,"ip":0,"op":50,"st":0,"bm":0}],"markers":[]}
    },
    {
      id: 1,
      name: "恒温保持",
      imgSrc: "../../static/images/envtype1.png",
      canvasDate:{"v":"5.6.6","fr":25,"ip":0,"op":50,"w":100,"h":100,"nm":"恒温","ddd":0,"assets":[{"id":"image_0","w":60,"h":60,"u":"images/","p":"img_1.png","e":0}],"layers":[{"ddd":0,"ind":1,"ty":2,"nm":"恒温.png","cl":"png","refId":"image_0","sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":1,"k":[{"i":{"x":[0.833],"y":[0.833]},"o":{"x":[0.167],"y":[0.167]},"t":0,"s":[0]},{"t":50,"s":[-360]}],"ix":10},"p":{"a":0,"k":[50,50,0],"ix":2},"a":{"a":0,"k":[30,30,0],"ix":1},"s":{"a":0,"k":[100,100,100],"ix":6}},"ao":0,"ip":0,"op":50,"st":0,"bm":0}],"markers":[]}
    },
    {
      id: 2,
      name: "正在为您快速降温",
      imgSrc: "../../static/images/envtype5.png",
      canvasDate:{"v":"5.6.6","fr":25,"ip":0,"op":31,"w":100,"h":100,"nm":"高数降低","ddd":0,"assets":[{"id":"image_0","w":60,"h":60,"u":"images/","p":"img_5.png","e":0}],"layers":[{"ddd":0,"ind":1,"ty":2,"nm":"高速降低.eps","cl":"eps","refId":"image_0","sr":1,"ks":{"o":{"a":1,"k":[{"i":{"x":[0.833],"y":[0.833]},"o":{"x":[0.167],"y":[0.167]},"t":0,"s":[0]},{"i":{"x":[0.833],"y":[0.833]},"o":{"x":[0.167],"y":[0.167]},"t":15,"s":[100]},{"t":31,"s":[0]}],"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":1,"k":[{"i":{"x":0.833,"y":0.833},"o":{"x":0.167,"y":0.167},"t":0,"s":[50,30,0],"to":[0,3.333,0],"ti":[0,-6.667,0]},{"i":{"x":0.833,"y":0.833},"o":{"x":0.167,"y":0.167},"t":15,"s":[50,50,0],"to":[0,6.667,0],"ti":[0,-3.333,0]},{"t":31,"s":[50,70,0]}],"ix":2},"a":{"a":0,"k":[30,30,0],"ix":1},"s":{"a":0,"k":[100,100,100],"ix":6}},"ao":0,"ip":0,"op":31,"st":0,"bm":0}],"markers":[]}
    },
    {
      id: 3,
      name: "正在逐步调高温度",
      imgSrc: "../../static/images/envtype3.png",
      canvasDate:{"v":"5.6.6","fr":25,"ip":0,"op":50,"w":100,"h":100,"nm":"逐步提升","ddd":0,"assets":[{"id":"image_0","w":60,"h":60,"u":"images/","p":"img_3.png","e":0}],"layers":[{"ddd":0,"ind":1,"ty":2,"nm":"逐步提升.eps","cl":"eps","refId":"image_0","sr":1,"ks":{"o":{"a":1,"k":[{"i":{"x":[0.833],"y":[0.833]},"o":{"x":[0.167],"y":[0.167]},"t":0,"s":[0]},{"i":{"x":[0.833],"y":[0.833]},"o":{"x":[0.167],"y":[0.167]},"t":25,"s":[100]},{"t":50,"s":[0]}],"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":1,"k":[{"i":{"x":0.833,"y":0.833},"o":{"x":0.167,"y":0.167},"t":0,"s":[30,70,0],"to":[3.333,-3.333,0],"ti":[-6.667,6.667,0]},{"i":{"x":0.833,"y":0.833},"o":{"x":0.167,"y":0.167},"t":25,"s":[50,50,0],"to":[6.667,-6.667,0],"ti":[-3.333,3.333,0]},{"t":50,"s":[70,30,0]}],"ix":2},"a":{"a":0,"k":[30,30,0],"ix":1},"s":{"a":0,"k":[100,100,100],"ix":6}},"ao":0,"ip":0,"op":50,"st":0,"bm":0}],"markers":[]}
    },
    {
      id: 4,
      name: "关机状态",
      imgSrc: "../../static/images/envtype4.png",
      canvasDate:{"v":"5.6.6","fr":25,"ip":0,"op":50,"w":100,"h":100,"nm":"节能运行","ddd":0,"assets":[{"id":"image_0","w":60,"h":60,"u":"images/","p":"img_4.png","e":0}],"layers":[{"ddd":0,"ind":1,"ty":2,"nm":"节能运行.eps","cl":"eps","refId":"image_0","sr":1,"ks":{"o":{"a":1,"k":[{"i":{"x":[0.833],"y":[0.833]},"o":{"x":[0.167],"y":[0.167]},"t":0,"s":[20]},{"i":{"x":[0.833],"y":[0.833]},"o":{"x":[0.167],"y":[0.167]},"t":25,"s":[100]},{"t":50,"s":[20]}],"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[50,50,0],"ix":2},"a":{"a":0,"k":[30,30,0],"ix":1},"s":{"a":0,"k":[100,100,100],"ix":6}},"ao":0,"ip":0,"op":50,"st":0,"bm":0}],"markers":[]}
    }
  ],
  },
  attached: function(){
    if(!this.data.cardDate.picInit){
      let list = JSON.parse(JSON.stringify(this.data.cardDate));
      list.picInit=utils.picInit(list.roomFuncType);
      this.setData({cardDate:list})
    }
  },
  observers: {
    // 'cardDate.roomFuncType': function(rate) {
    //   // 在 rate被设置时，执行这个函数
    //   let list = JSON.parse(JSON.stringify(this.data.cardDate));
    //   list.picInit=utils.picInit(list.roomFuncType);
    //   this.setData({cardDate:list})
    // }
  },
  ready:function(){
  },
  /**
   * 组件的方法列表
   */
  methods: {
    changeStar(e){
      console.log(e);
      let checked=!e.currentTarget.dataset.checked;
      this.setData({"cardDate.subscribe":checked});
      this.triggerEvent("starClick",{checked:checked,spaceId:this.data.cardDate.id});
    },
    goHome(){
      let cardDate=this.data.cardDate;
      this.triggerEvent('listClick', {cardDate});
    },
    imageLoad(ev){
      this.setData({imgShow:true});
      let src = ev.currentTarget.dataset.src,
      width = ev.detail.width,
      height = ev.detail.height;
    }
  }
})
